Package com.mckoi.database

## Class QueryPlan.SingleQueryPlanNode

- java.lang.Object
- - com.mckoi.database.QueryPlan.SingleQueryPlanNode

All Implemented Interfaces:
  `QueryPlanNode`, `java.io.Serializable`, `java.lang.Cloneable`

Direct Known Subclasses:
  `QueryPlan.CachePointNode`, `QueryPlan.ConstantSelectNode`, `QueryPlan.CreateFunctionsNode`, `QueryPlan.DistinctNode`, `QueryPlan.ExhaustiveSelectNode`, `QueryPlan.FunctionalSelectNode`, `QueryPlan.GroupNode`, `QueryPlan.LeftOuterJoinNode`, `QueryPlan.MarkerNode`, `QueryPlan.MultiColumnEquiSelectNode`, `QueryPlan.RangeSelectNode`, `QueryPlan.SimplePatternSelectNode`, `QueryPlan.SimpleSelectNode`, `QueryPlan.SortNode`, `QueryPlan.SubsetNode`

Enclosing class:
  QueryPlan

    public abstract static class QueryPlan.SingleQueryPlanNode
    extends java.lang.Object
    implements QueryPlanNode

A QueryPlanNode with a single child.

See Also:
  Serialized Form

### Field Summary

Fields
`protected QueryPlanNode` `child` The single child node.

### Constructor Summary

Constructors
`protected` `SingleQueryPlanNode​(QueryPlanNode child)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`QueryPlanNode` `child()` Returns the child plan.
`java.lang.Object` `clone()` Deep clone.
`void` `debugString​(int level, java.lang.StringBuffer buf)` Writes a textural representation of the node to the StringBuffer at the given indent level.
`java.util.ArrayList` `discoverCorrelatedVariables​(int level, java.util.ArrayList list)` Default implementation that discovers correlated variables for the given offset level.
`java.util.ArrayList` `discoverTableNames​(java.util.ArrayList list)` Default implementation delegates responsibility to child.
`java.lang.String` `titleString()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.mckoi.database.QueryPlanNode

`evaluate`

### Field Detail

#### child

    protected QueryPlanNode child

The single child node.

### Constructor Detail

#### SingleQueryPlanNode

    protected SingleQueryPlanNode​(QueryPlanNode child)

Constructor.

### Method Detail

#### child

    public QueryPlanNode child()

Returns the child plan.

#### discoverTableNames

    public java.util.ArrayList discoverTableNames​(java.util.ArrayList list)

Default implementation delegates responsibility to child.

Specified by:
  `discoverTableNames` in interface `QueryPlanNode`

#### discoverCorrelatedVariables

    public java.util.ArrayList discoverCorrelatedVariables​(int level,
                                                           java.util.ArrayList list)

Default implementation that discovers correlated variables for the given offset level.

Specified by:
  `discoverCorrelatedVariables` in interface `QueryPlanNode`

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Deep clone.

Specified by:
  `clone` in interface `QueryPlanNode`
Overrides:
  `clone` in class `java.lang.Object`
Throws:
  `java.lang.CloneNotSupportedException`

#### titleString

    public java.lang.String titleString()

#### debugString

    public void debugString​(int level,
                            java.lang.StringBuffer buf)

Description copied from interface: `QueryPlanNode`
Writes a textural representation of the node to the StringBuffer at the given indent level.

Specified by:
  `debugString` in interface `QueryPlanNode`